General

Toggl Desktop is now open source!

Looking to work on Toggl Desktop code? You’ll find it at Github.

Great news for all of our Linux, Mac and Windows hackers!

We just released the new version of Toggl Desktop (v2.5) as open source. You can find the code at Launchpad.

The regular update procedure (the new version notification dialog) remains the same, so nothing changes for our users who are not interested in the C++ code. The new version is also available on our web page.

However, the new version brought some changes for our Linux users.

Since the new Toggl Desktop uses Qt4.6 and this is not yet in all the repositories then Linux users must enter a few commands to get the necessary dependencies. Here are the steps:

Ubuntu/Kubuntu

sudo add-apt-repository ppa:kubuntu-ppa/beta
sudo apt-get update
launch the installer

Debian

Unfortunately Debian repositories do not include the Qt4.6 yet (except the experimental), so Debian users will have to wait until the Qt4.6 is available in their repository.

The 64-bit Linux version will be available tomorrow.

UPDATE (Linux): You can now add Toggl Desktop to your repository sources list and use the native update mechanism:

sudo add-apt-repository ppa:official-toggl/ppa
sudo aptitude update
sudo aptitude install toggl-desktop

Cheers,

Toggl Team

By On January 26, 2010

  1. any update on that new version of the toggl desktop? i’m not always online but i am usually working, so having offline mode is fairly key. thx.

  2. > Thanks, we are aware of this issue. It will be fixed with the new release of Toggl Desktop (hopefully during this month).

    Is there a workaround that will get aptitude to handle this for now (as opposed to downloading the “Toggl Desktop without offline mode” version)?

  3. Indrek,

    Thanks, we are aware of this issue. It will be fixed with the new release of Toggl Desktop (hopefully during this month).

  4. I could install using sudo apt-get install toggl-desktop in ubuntu 10.10, but when I run the application only appear blank. anyone know what is the problem?

  5. On Ubuntu 10.10 when I run:
    sudo aptitude install toggl-desktop

    I get the error:
    Couldn’t find any package whose name or description matched “toggl-desktop”